:root {
  --primary-color: #13e1da;
  --secondary-color: white;
  --accent-color: #ccff00;
  --text-color: white;
  --background-color: #00081a;
  --linear1: #00a3ff;
  --linear2: #17edd3;
}

html,
body {
  height: 100%; 
  margin: 0; 
}

body {
  font-family: "Red Hat Display", sans-serif;
  font-optical-sizing: auto;
  margin: 0;
  padding: 0;
  color: var(--text-color);
  background-color: var(--background-color);
}

a {
  color: var(--text-color);
  text-decoration: none;
}

header {
  position: relative;
  background: linear-gradient(
    to bottom,
    rgba(0, 8, 26, 0.9),
    rgba(0, 22, 48, 0.3),
    rgba(255, 255, 255, 0)
  );
  color: white;
}

.orbitron {
  font-family: "Orbitron", sans-serif !important;
}
.red-hat {
  font-family: "Red Hat Display", sans-serif !important;
}
.drop-shadow {
  filter: drop-shadow(0px 0px 40px #003366);
}
.linear-text {
  background-color: transparent;
  background-image: linear-gradient(
    80deg,
    var(--linear1) 0%,
    var(--linear2) 100%
  );
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent !important;
  background-position: center;
  background-size: cover;
}

#searchPanel {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 250px;
  background: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 10px;
  border-radius: 8px;
  z-index: 9999;
  font-family: Arial, sans-serif;
}

#globalSearch {
  width: 100%;
  border: none;
  outline: none;
}

#searchResults {
  max-height: 300px;
  overflow-y: auto;
}

.search-result-item {
  padding: 5px;
  margin-bottom: 5px;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 4px;
  cursor: pointer;
}

.search-result-item:hover {
  background: rgba(255, 255, 255, 0.3);
}

mark.highlight {
  background-color: #ffeb3b;
  color: #000;
  padding: 0 2px;
  border-radius: 3px;
}
